Loading...
Searching...
No Matches
mbedtls_des3_context Struct Reference

Triple-DES context structure. More...

`#include <des.h>`

## Data Fields

uint32_t | private_sk [96]
int | dummy

## Detailed Description

Triple-DES context structure.

Warning
  DES/3DES are considered weak ciphers and their use constitutes a security risk. We recommend considering stronger ciphers instead.

Definition at line 60 of file des.h.

## Field Documentation

## dummy

int mbedtls_des3_context::dummy

Definition at line 17 of file des_alt.h.

## private_sk

uint32_t mbedtls_des3_context::private_sk[96]

3DES subkeys

Definition at line 61 of file des.h.

The documentation for this struct was generated from the following files:

- des.h
- des_alt.h